Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry.infomodel
Interface Association

All Superinterfaces:
  ExtensibleObject, RegistryObject

public interface Association
extends RegistryObject

Version:
  $Revision: 1.1 $
Author:
  Scott.Stark@jboss.org

Method Summary
`Concept` | `getAssociationType()`
`RegistryObject` | `getSourceObject()`
`RegistryObject` | `getTargetObject()`
`boolean` | `isConfirmed()`
`boolean` | `isConfirmedBySourceOwner()`
`boolean` | `isConfirmedByTargetOwner()`
`boolean` | `isExtramural()`
`void` | `setAssociationType(Concept associationType)`
`void` | `setSourceObject(RegistryObject srcObject)`
`void` | `setTargetObject(RegistryObject targetObject)`

Methods inherited from interface javax.xml.registry.infomodel.RegistryObject
`addAssociation, addAssociations, addClassification, addClassifications, addExternalIdentifier, addExternalIdentifiers, addExternalLink, addExternalLinks, getAssociatedObjects, getAssociations, getAuditTrail, getClassifications, getDescription, getExternalIdentifiers, getExternalLinks, getKey, getLifeCycleManager, getName, getObjectType, getRegistryPackages, getSubmittingOrganization, removeAssociation, removeAssociations, removeClassification, removeClassifications, removeExternalIdentifier, removeExternalIdentifiers, removeExternalLink, removeExternalLinks, setAssociations, setClassifications, setDescription, setExternalIdentifiers, setExternalLinks, setKey, setName, toXML`

Methods inherited from interface javax.xml.registry.infomodel.ExtensibleObject
`addSlot, addSlots, getSlot, getSlots, removeSlot, removeSlots`

Method Detail

### getAssociationType

    public Concept getAssociationType()
                               throws JAXRException

  Throws:
    `JAXRException`

### getSourceObject

    public RegistryObject getSourceObject()
                                   throws JAXRException

  Throws:
    `JAXRException`

### getTargetObject

    public RegistryObject getTargetObject()
                                   throws JAXRException

  Throws:
    `JAXRException`

### isConfirmed

    public boolean isConfirmed()
                        throws JAXRException

  Throws:
    `JAXRException`

### isConfirmedBySourceOwner

    public boolean isConfirmedBySourceOwner()
                                     throws JAXRException

  Throws:
    `JAXRException`

### isConfirmedByTargetOwner

    public boolean isConfirmedByTargetOwner()
                                     throws JAXRException

  Throws:
    `JAXRException`

### isExtramural

    public boolean isExtramural()
                         throws JAXRException

  Throws:
    `JAXRException`

### setAssociationType

    public void setAssociationType(Concept associationType)
                            throws JAXRException

  Throws:
    `JAXRException`

### setSourceObject

    public void setSourceObject(RegistryObject srcObject)
                         throws JAXRException

  Throws:
    `JAXRException`

### setTargetObject

    public void setTargetObject(RegistryObject targetObject)
                         throws JAXRException

  Throws:
    `JAXRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.